Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class Parser

    java.lang.Object
      org.codehaus.groovy.tools.shell.Parser

    class Parser
    extends Object

Provides a facade over the parser to recognize valid Groovy syntax.

Authors:
  Jason Dillon

Version:
  \$Id: Parser.groovy 12278 2008-05-04 12:00:38Z user57 \$

Property Summary
`static String` | `NEWLINE`

Constructor Summary
`Parser()`

Method Summary
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### NEWLINE

    static final String NEWLINE

Constructor Detail

### Parser

    Parser()

Method Detail

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2010 The Codehaus. All rights reserved.